Create a PTR record for an SBM server

POST/v1/hosts/sbm_servers/{server_id}/ptr_records

To create a new PTR record, perform a POST request to /v1/hosts/sbm_servers/{server_id}/ptr_records. A target server has to be specified in the path parameter; the record details are sent within a request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

FieldDetails
server_id
string

A unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the sbm_server type.

Request Body

FieldDetails
ip
string

An IP address associated with a PTR record.

domain
string

A domain name for a PTR record.

ttl?
integer

TTL (time to live) defines how long a PTR record will be cached on the DNS servers.

priority?
integer

The priority determines what PTR record to contact first. The lower the number, the higher the priority.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/sbm_servers/Jrb22WbW/ptr_records" \  -H "Content-Type: application/json" \  -d '{    "ip": "100.0.0.4",    "domain": "example-1356.com",    "ttl": 300,    "priority": 3  }'
{  "id": "lNbWJayg",  "ip": "100.0.0.4",  "domain": "example-1356.com",  "priority": 3,  "ttl": 300}